Bug 247957 - databases/mariadb105-server: Needs stacktrace fix
Summary: databases/mariadb105-server: Needs stacktrace fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-14 00:16 UTC by Naram Qashat
Modified: 2020-07-28 02:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2020-07-14 00:16:21 UTC
mariadb105-server will not build for systems lacking sbrk, and needs the patch-MDEV-15961 file that is also in mariadb103-server and mariadb104-server.
Comment 1 Bernard Spil freebsd_committer 2020-07-19 11:17:31 UTC
Thanks for reporting, adding the patch...
Comment 2 commit-hook freebsd_committer 2020-07-19 20:20:20 UTC
A commit references this bug:

Author: brnrd
Date: Sun Jul 19 20:19:56 UTC 2020
New revision: 542596
URL: https://svnweb.freebsd.org/changeset/ports/542596

Log:
  databases/mariadb105-server: Fix build for i386

   * pet portlint
   * i386 requires gcc [1]
   * Fix stacktrace [2]

  PR:		247535 [1], 247957 [2]
  Reported by:	 Raymond Quakkelaar <r quakkelaar quaras nl> [1], Naram Qashat <cyberbotx cyberbotx com> [2]

Changes:
  head/databases/mariadb105-server/Makefile
  head/databases/mariadb105-server/files/mysql-server.in
  head/databases/mariadb105-server/files/patch-MDEV-15961
  head/databases/mariadb105-server/pkg-plist
Comment 3 Bernard Spil freebsd_committer 2020-07-19 20:21:27 UTC
Started out with a new port with as few as possible patches.
Keep reporting when things are missing!
Comment 4 Vincent Milum Jr 2020-07-28 02:41:09 UTC
Just as an FYI, this is FINALLY fixed upstream, and will be in the next patch release of all MariaDB versions.

https://jira.mariadb.org/browse/MDEV-15961